## org.hibernate.ejb.util
Class PersistenceUtilHelper

    java.lang.Object
      org.hibernate.ejb.util.PersistenceUtilHelper

    public class PersistenceUtilHelper

extends Object

Nested Class Summary
`static class` `PersistenceUtilHelper.MetadataCache` Cache hierarchy and member resolution in a weak hash map

Constructor Summary
`PersistenceUtilHelper()`

Method Summary
`static LoadState` `isLoaded(Object o)`
`static LoadState` `isLoadedWithoutReference(Object proxy, String property, PersistenceUtilHelper.MetadataCache cache)`
`static LoadState` `isLoadedWithReference(Object proxy, String property, PersistenceUtilHelper.MetadataCache cache)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceUtilHelper

    public PersistenceUtilHelper()

Method Detail

### isLoadedWithoutReference

    public static LoadState isLoadedWithoutReference(Object proxy,
                                                     String property,
                                                     PersistenceUtilHelper.MetadataCache cache)

### isLoadedWithReference

    public static LoadState isLoadedWithReference(Object proxy,
                                                  String property,
                                                  PersistenceUtilHelper.MetadataCache cache)

### isLoaded

    public static LoadState isLoaded(Object o)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.